## generatorrunner 0.6.1-1maemo1

=== debian/changelog ===
generatorrunner (0.6.1-1maemo1) unstable; urgency=low

  * New upstream release.

 -- Willer Moreira <willer.moreira@openbossa.org>  Mon, 13 Sep 2010 13:04:08 -0400

=== debian/control ===
Source: generatorrunner
Section: devel
Priority: extra
Maintainer: PySide Team <pyside@openbossa.org>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper7 (>= 7.3.12), libapiextractor-dev (>= 0.8.0), libqt4-dev (>= 4.5), cmake (>= 2.6.0), libxslt1-dev
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.debian.org/python-modules/packages/generatorrunner/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/generatorrunner/?op=log
Homepage: http://www.pyside.org/home-binding/binding-generator/

Package: libgenrunner0.6
Architecture: any
Section: libs
Conflicts: libgenrunner0 (<< $VERSION), libgenrunner0.5
Replaces: libgenrunner0 (<< $VERSION), libgenrunner0.5
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: generatorrunner (=${binary:Version})
Description: generatorrunner dedicated library
 Generatorrunner is a plugin-based application to run apiextractor-based
 generators.
 .
 This package contains its dedicated library.

Package: libgenrunner-dev
Architecture: any
Section: libdevel
Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.8.0), ${shlibs:Depends}, ${misc:Depends}
Description: generatorrunner dedicated library headers
 Generatorrunner is a plugin-based application to run apiextractor-based
 generators.
 .
 This package contains its dedicated library headers

Package: generatorrunner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: docgenerator, shiboken
Description: Plugin-based application to run apiextractor-based generators
 Runs generator plugins, such as docgenerator or shiboken.
 .
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or
 documentation, or anything you want) for the target language for which it was
 written.

Package: docgenerator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         generatorrunner (= ${binary:Version})
Description: Generator plugin for python bindings documentation
 Generates documentation for C++ library bindings using sphinx.
 .
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or
 documentation, or anything you want) for the target language for which it was
 written.

Package: generatorrunner-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, generatorrunner (>= ${binary:Version}), docgenerator (>= ${binary:Version}), libgenrunner0.6 (>= ${binary:Version})
Section: debug
Description: Debugging symbols for generatorrunner, and its brothers
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or
 documentation, or anything you want) for the target language for which it was
 written.
 .
 This package contains the debugging symbols for generatorrunner, docgenerator,
 shiboken  and libgenrunner.

## generatorrunner 0.6.2

=== debian/changelog ===
generatorrunner (0.6.2-2) unstable; urgency=low

  * Update symbols for all arches and GCC4.5.

 -- Didier Raboud <didier@raboud.com>  Tue, 16 Nov 2010 17:54:55 +0100

generatorrunner (0.6.2-1) unstable; urgency=low

  * New 0.6.2 upstream release
    - Apply manpages location changes.
    - Apply documentation build changes
    - Bump libapiextractor B-D to 0.8.1

 -- Didier Raboud <didier@raboud.com>  Fri, 15 Oct 2010 09:56:28 +0200

=== debian/control ===
Source: generatorrunner
Section: devel
Priority: optional
Maintainer: Didier Raboud <didier@raboud.com>
Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 7.3.12),
               libapiextractor-dev (>= 0.8.1), libqt4-dev (>= 4.5),
               cmake (>= 2.6.0), libxslt-dev
Build-Depends-Indep: python-sphinx
Standards-Version: 3.9.1.0
Vcs-Git: git://git.debian.org/collab-maint/generatorrunner.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/generatorrunner.git
Homepage: http://www.pyside.org/home-binding/binding-generator/
DM-Upload-Allowed: yes

Package: libgenrunner0.6
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: generatorrunner (=${binary:Version}) 
Description: generatorrunner dedicated library
 Generatorrunner is a plugin-based application to run apiextractor-based
 generators.
 .
 This package contains its dedicated library.

Package: libgenrunner-dev
Architecture: any
Section: libdevel
Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.7.0), ${shlibs:Depends}, ${misc:Depends}
Description: generatorrunner dedicated library headers
 Generatorrunner is a plugin-based application to run apiextractor-based
 generators.
 .
 This package contains its dedicated library headers

Package: generatorrunner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: docgenerator
Description: plugin-based application to run apiextractor-based generators
 Runs generator plugins, such as docgenerator.
 .
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.

Package: docgenerator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         generatorrunner (= ${binary:Version})
Description: generator plugin for python bindings documentation
 Generates documentation for C++ library bindings using sphinx.
 .
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.

Package: generatorrunner-dbg
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, generatorrunner (>= ${binary:Version}), docgenerator (>= ${binary:Version}), libgenrunner0.6 (>= ${binary:Version})
Section: debug
Description: debugging symbols for generatorrunner, and its brothers
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.
 .
 This package contains the debugging symbols for generatorrunner, docgenerator
 and libgenrunner.

Package: generatorrunner-doc
Priority: extra
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
Section: doc
Description: documentation for generatorrunner, and its brothers
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.
 .
 This package contains the documentation for generatorrunner, docgenerator
 and libgenrunner.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=cmake --parallel $@

override_dh_strip:
	dh_strip --dbg-package=generatorrunner-dbg

override_dh_install:
	dh_install --list-missing \
	  -Xusr/share/man/man1/docgenerator.1 \
	  -Xusr/share/man/man1/generatorrunner.1

binary: binary-arch binary-indep;

binary-indep:
	dh binary-indep --until dh_auto_build
	dh_auto_build -i -- doc
	dh binary-indep --after dh_auto_build

## generatorrunner 0.6.2-1maemo3

=== CMakeLists.txt ===
project(generatorrunner)

cmake_minimum_required(VERSION 2.6)

find_package(Qt4 4.5.0 REQUIRED)
find_package(ApiExtractor 0.8 REQUIRED)

option(BUILD_TESTS "Build tests." TRUE)
option(ENABLE_VERSION_SUFFIX "Used to use current version in suffix to generated files. This is used to allow multiples versions installed simultaneous." FALSE)

if(MSVC)
    set(CMAKE_CXX_FLAGS "/Zc:wchar_t- /EHsc /DWIN32 /D_WINDOWS /D_SCL_SECURE_NO_WARNINGS")
else()
    option(ENABLE_GCC_OPTIMIZATION "Enable specific GCC flags to optimize library size and performance. Only available on Release Mode" 0)
    if (CMAKE_HOST_UNIX)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fvisibility=hidden")
    endif()
    set(CMAKE_CXX_FLAGS_DEBUG "-g")
    if(ENABLE_GCC_OPTIMIZATION)
        set(CMAKE_BUILD_TYPE Release)
        set(CMAKE_CXX_FLAGS_RELEASE "-DNDEBUG -Os -Wno-strict-aliasing -Wl,-O1")
        if(NOT CMAKE_HOST_APPLE)
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--hash-style=gnu")
        endif()
    endif()
endif()

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()


set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)


# lib generator version
set(generator_MAJOR_VERSION "0")
set(generator_MINOR_VERSION "6")
set(generator_MICRO_VERSION "2")
set(generator_VERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}.${generator_MICRO_VERSION}")
set(generator_SOVERSION "${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}")
set(USE_GENERATOR_VERSION_SUFFIX FALSE CACHE BOOL "This suffix allow to have various generator version installed simultaneous.")
if (ENABLE_VERSION_SUFFIX)
    set(generator_SUFFIX "-${generator_MAJOR_VERSION}.${generator_MINOR_VERSION}")
else()
    set(generator_SUFFIX "")
endif()

set(generator_plugin_DIR ${LIB_INSTALL_DIR}/generatorrunner${generator_SUFFIX})

add_definitions(${QT_DEFINITIONS})

configure_file(generatorrunnerconfig.h.in "${CMAKE_CURRENT_BINARY_DIR}/generatorrunnerconfig.h" @ONLY)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${APIEXTRACTOR_INCLUDE_DIR}
                    ${QT_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR})

add_library(genrunner SHARED generator.cpp)
set_target_properties(genrunner PROPERTIES VERSION ${generator_VERSION} DEFINE_SYMBOL GENRUNNER_EXPORTS)
target_link_libraries(genrunner ${QT_QTCORE_LIBRARY} ${APIEXTRACTOR_LIBRARY})
set_target_properties(genrunner PROPERTIES VERSION ${generator_VERSION}
                                SOVERSION ${generator_SOVERSION}
                                OUTPUT_NAME genrunner${generator_SUFFIX})

add_executable(generatorrunner main.cpp)
set_target_properties(generatorrunner PROPERTIES OUTPUT_NAME generatorrunner${generator_SUFFIX})
target_link_libraries(generatorrunner
                      genrunner
                      ${APIEXTRACTOR_LIBRARY}
                      ${QT_QTCORE_LIBRARY})

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")



set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${generator_VERSION})
add_custom_target(dist
    COMMAND mkdir -p "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}" &&
            git log > "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}/ChangeLog" &&
            git archive --prefix=${ARCHIVE_NAME}/ HEAD --format=tar --output="${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            tar -C "${CMAKE_BINARY_DIR}" --owner=root --group=root -r "${ARCHIVE_NAME}/ChangeLog" -f "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            bzip2 -f9 "${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar" &&
            echo "Source package created at ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2.\n"
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})


set(GENERATORRUNNER_INC_DIR "generatorrunner${generator_SUFFIX}")
install(TARGETS genrunner LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
                          ARCHIVE DESTINATION "${LIB_INSTALL_DIR}"
                          RUNTIME DESTINATION bin)
install(TARGETS generatorrunner DESTINATION bin)
install(FILES generator.h DESTINATION include/${GENERATORRUNNER_INC_DIR})
install(FILES generatorrunnermacros.h DESTINATION include/${GENERATORRUNNER_INC_DIR})

if (BUILD_TESTS)
    enable_testing()
endif()

add_subdirectory(generators)
add_subdirectory(doc)

if (BUILD_TESTS)
    add_subdirectory(tests)
endif()
add_subdirectory(data)

=== debian/changelog ===
generatorrunner (0.6.2-1maemo3) unstable; urgency=low

  * Bump version.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Tue, 26 Oct 2010 15:27:22 -0300

generatorrunner (0.6.2-1maemo2) unstable; urgency=low

  * New version based on Didier's packaging.

 -- Luciano Wolf <luciano.wolf@openbossa.org>  Tue, 26 Oct 2010 14:27:43 -0300

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: devel
 Priority: optional
 Maintainer: Didier Raboud <didier@raboud.com>
-Build-Depends: dpkg-dev (>= 1.15.6), debhelper (>= 7.3.12),
-               libapiextractor-dev (>= 0.8.1), libqt4-dev (>= 4.5),
-               cmake (>= 2.6.0), libxslt-dev
-Build-Depends-Indep: python-sphinx
+Build-Depends: dpkg-dev (>= 1.14.25), debhelper7 (>= 7.0.50),
+               libapiextractor-dev (>= 0.8.1-1maemo3), libqt4-dev (>= 4.5),
+               cmake (>= 2.6.0), libxslt1-dev, quilt
+Build-Depends-Indep: python-sphinxbase
 Standards-Version: 3.9.1.0
 Vcs-Git: git://git.debian.org/collab-maint/generatorrunner.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/generatorrunner.git
@@ -15,6 +15,8 @@
 Package: libgenrunner0.6
 Architecture: any
 Section: libs
+Conflicts: libgenrunner0 (<< 0.6.2), libgenrunner0.5
+Replaces: libgenrunner0 (<< 0.6.2), libgenrunner0.5
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: generatorrunner (=${binary:Version}) 
 Description: generatorrunner dedicated library
@@ -26,7 +28,7 @@
 Package: libgenrunner-dev
 Architecture: any
 Section: libdevel
-Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.7.0), ${shlibs:Depends}, ${misc:Depends}
+Depends: libgenrunner0.6 (= ${binary:Version}), libapiextractor-dev (>= 0.8.1-1maemo3), ${shlibs:Depends}, ${misc:Depends}
 Description: generatorrunner dedicated library headers
  Generatorrunner is a plugin-based application to run apiextractor-based
  generators.
